Description

I have a use case where we have a 20-bit block of IP addresses (4,096) that we cannot further subnet. The router is maintained by

another organization, and we already have hundreds of devices using this network, mostly statically assigned. We currently block off

ranges in a spreadsheet for each customer, and they maintain their own IP Addresses.

We now want to implement a Foreman server to manage the IP addressing, and would like to limit the range of available IPs for each

customer.

This is a simple alternative to #10949

The proposed change is this:

edit: /usr/share/foreman/app/models/subnet.rb

Change

validates :network, :uniqueness => true,

                    :format => {:with => Net::Validations::IP_REGEXP}

 to

validates :network, :format => {:with => Net::Validations::IP_REGEXP}

Related issues:

Related to Foreman - Feature #10949: Create a new object called "ip range" to... New 06/29/2015

Related to Foreman - Bug #15508: Network address uniqueness enforced, duplica... Closed 06/23/2016

Associated revisions

Revision 3bd9a898 - 08/06/2015 04:53 AM - larry campbell

fixes #11250 - Remove uniqueness check from subnet network addresses

History

#1 - 07/29/2015 02:10 PM - larry campbell

added PR https://github.com/theforeman/foreman/pull/2585

#2 - 07/30/2015 03:02 AM - Dominic Cleal

- Category set to Network

- Status changed from New to Ready For Testing

- Assignee set to larry campbell

- Pull request https://github.com/theforeman/foreman/pull/2585 added

- Pull request deleted ()
#3 - 08/06/2015 03:33 AM - Dominic Cleal

- Related to Feature #10949: Create a new object called "ip range" to allow for more than one assignable ip address ranges added

#4 - 08/06/2015 04:58 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#5 - 08/06/2015 05:02 AM - larry campbell

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3bd9a898a0a31ca87066c0a8967444523fb0e88c.

#6 - 06/23/2016 09:41 AM - Dominic Cleal

- Related to Bug #15508: Network address uniqueness enforced, duplicates should be possible added
